package com.steerinfo.baseinfo.meterbaserailwaymetertarenetconfig.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="外发业务，如果发货单位和物料在此表中使用回空皮结净")
public class MeterBaseRailwayMeterTareNetConfig implements IBasePO<String> {
    /**
     * 配置编号(CONFIG_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="配置编号",required=true)
    private String configNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(0：作废；1：正常)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态(0：作废；1：正常)",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 物料类别编码(MATTER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料类别编码",required=false)
    private String matterTypeNo;

    /**
     * 物料类别名称(MATTER_TYPE_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="物料类别名称",required=false)
    private String matterTypeName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.configNo;
    }

    @Override
    public void setId(String configNo) {
        this.configNo = configNo == null ? null : configNo.trim();
    }

    public String getConfigNo() {
        return configNo;
    }

    public void setConfigNo(String configNo) {
        this.configNo = configNo == null ? null : configNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getMatterTypeNo() {
        return matterTypeNo;
    }

    public void setMatterTypeNo(String matterTypeNo) {
        this.matterTypeNo = matterTypeNo == null ? null : matterTypeNo.trim();
    }

    public String getMatterTypeName() {
        return matterTypeName;
    }

    public void setMatterTypeName(String matterTypeName) {
        this.matterTypeName = matterTypeName == null ? null : matterTypeName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", configNo=").append(configNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", matterTypeNo=").append(matterTypeNo);
        sb.append(", matterTypeName=").append(matterTypeName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}